I tried to install the xdebug in Ubuntu 14.04, but when I execute the following command:

sudo pecl install xdebug

it returns the error:

Download of "pecl/xdebug" succeeded, but it is not a valid package archive

Someone had the same problem or knows how to fix it?

Thanks

  • The solution > sudo pecl install -Z xdebug worked for me, too. But it does not solve the problem, it only works around it. The issue shows up elsewhere in the system, PHP is not playing well with archives either. Any solution? – user285654 May 27 '14 at 3:41

The bug is somewhere in the pecl uncompressing module for Ubuntu 14.04 32 bit. Try this:

sudo pecl install -Z xdebug

-Z makes pecl download an uncompressed version of the package. Works for me.

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.